Skip to navigation

Retrieve Mandate Response From Citi System

View as Markdown

A Mandate inquiry is used to check the details/status of the mandates.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Query parameters

countrystringRequiredformat: "^[A-Z]{2,2}$"
Country
mandate_request_identificationstringOptional1-35 characters

mandate_request_identification

mandate_identificationstringOptional1-35 characters

mandate_identification

Response

OK
mandate_acceptanceobjectOptional
error_detailslist of objectsOptional
mandate_detailsobjectOptional
initiating_partyobjectOptional
debtorobjectOptional
creditorobjectOptional
ultimateobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
405
Method Not Allowed Error
500
Internal Server Error